<template>
  <video autoplay muted
         id="videoBackground"
         ref="videoBackground"
         @play="progressManager(true)"
         @pause="progressManager(false)"
         @ended="introFinished">
    <source src="../assets/audi-intro.mp4" type="video/mp4">
  </video>
</template>

<script>
export default {
  name: 'VideoBackground',
  methods: {
    getDuration() {
      this.$emit('changeDuration', this.$refs.videoBackground.duration);
    },
    introFinished() {
      this.$emit('introFinished', true);
    },
    progressManager(start) {
      this.getDuration();
      let increment = 0;
      let interval;
      if (start) {
        interval = setInterval(() => {
          if (increment >= this.$refs.videoBackground.duration) {
            clearInterval(interval);
          } else {
            this.$emit('changeProgress', increment += 0.017);
          }
        }, 17);
      } else {
        clearInterval(interval);
      }
    },
  },
};
</script>

<style scoped>

</style>
